diff -urN ../nagios.orig/base/utils.c ./base/utils.c
--- ../nagios.orig/base/utils.c	Wed Apr 27 17:45:02 2005
+++ ./base/utils.c	Wed Apr 27 17:44:07 2005
@@ -3703,7 +3703,7 @@
 		return -1;
 
 	/* clear the message buffer */
-	bzero((void *)message,sizeof(service_message));
+	memset((void *)message,0,sizeof(service_message));
 
 	/* get a lock on the buffer */
 	pthread_mutex_lock(&service_result_buffer.buffer_lock);
@@ -4079,10 +4079,10 @@
 	if(sequence_head[0]=='\x0')
 		return NULL;
 	
-	token_position=index(my_strtok_buffer,tokens[0]);
+	token_position=strchr(my_strtok_buffer,tokens[0]);
 
 	if(token_position==NULL){
-		my_strtok_buffer=index(my_strtok_buffer,'\x0');
+		my_strtok_buffer=strchr(my_strtok_buffer,'\x0');
 		return sequence_head;
 	        }
 
@@ -4690,7 +4690,7 @@
 		if(buffer_items<SERVICE_BUFFER_SLOTS){
 
 			/* clear the message buffer */
-			bzero((void *)&message,sizeof(service_message));
+			memset((void *)&message,0,sizeof(service_message));
 
 			/* initialize the number of bytes to read */
 			bytes_to_read=sizeof(service_message);
